Holger's Java API

## com.antelmann.image
Class MotionDetectorImpl

    java.lang.Object
      com.antelmann.image.MotionDetectorImpl

All Implemented Interfaces:
  MotionDetector

    public class MotionDetectorImpl

extends Object
implements MotionDetector

some simple default implementation of a MotionDetector

Since:
  08.09.2010, 16:42:37
Author:
  holger

Constructor Summary
`MotionDetectorImpl()`
`MotionDetectorImpl(double threshold)`

Method Summary
`protected double` `compare(int[] array1, int[] array2)`
`protected int` `diff(int pixel1, int pixel2)`
`double` `difference(BufferedImage image1, BufferedImage image2)`
`double` `difference(BufferedImage image1, BufferedImage image2, Rectangle region)`
`double` `difference(InputStream imageData1, InputStream imageData2, Rectangle region)`
`double` `getThreshold()`
`boolean` `motionDetected(BufferedImage image1, BufferedImage image2)`
`boolean` `motionDetected(InputStream imageData1, InputStream imageData2)`
`void` `setThreshold(double threshold)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MotionDetectorImpl

    public MotionDetectorImpl()

### MotionDetectorImpl

    public MotionDetectorImpl(double threshold)

Method Detail

### getThreshold

    public double getThreshold()

### setThreshold

    public void setThreshold(double threshold)

### motionDetected

    public boolean motionDetected(InputStream imageData1,
                                  InputStream imageData2)
                           throws IOException

  Specified by:
    `motionDetected` in interface `MotionDetector`
  Throws:
    `IOException`

### motionDetected

    public boolean motionDetected(BufferedImage image1,
                                  BufferedImage image2)

  Specified by:
    `motionDetected` in interface `MotionDetector`

### difference

    public double difference(BufferedImage image1,
                             BufferedImage image2)

### difference

    public double difference(InputStream imageData1,
                             InputStream imageData2,
                             Rectangle region)
                      throws IOException

  Specified by:
    `difference` in interface `MotionDetector`
  Throws:
    `IOException`

### difference

    public double difference(BufferedImage image1,
                             BufferedImage image2,
                             Rectangle region)

  Specified by:
    `difference` in interface `MotionDetector`

### compare

    protected double compare(int[] array1,
                             int[] array2)

### diff

    protected int diff(int pixel1,
                       int pixel2)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads